This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 436229 - NM use of CDMA card prevented
NM use of CDMA card prevented
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 19:17 EST by Ulrich Drepper
Modified: 2008-03-06 11:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 11:41:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2008-03-05 19:17:52 EST
Description of problem:
When using the (new) NM feature to use a CDMA (wireless modem card) SELinux
currently interferes.  The messages for the audit alert are:

host=x61.akkadia.org type=AVC msg=audit(1204761656.426:20): avc: denied { write
} for pid=3468 comm="pppd" name="system_bus_socket" dev=sda5 ino=2523166
scontext=system_u:system_r:pppd_t:s0
tcontext=system_u:object_r:system_dbusd_var_run_t:s0 tclass=sock_file 
host=x61.akkadia.org type=AVC msg=audit(1204761656.426:20): avc: denied {
connectto } for pid=3468 comm="pppd" path="/var/run/dbus/system_bus_socket"
scontext=system_u:system_r:pppd_t:s0
tcontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tclass=unix_stream_socket 
host=x61.akkadia.org type=SYSCALL msg=audit(1204761656.426:20): arch=c000003e
syscall=42 success=yes exit=0 a0=4 a1=7fff7947ee50 a2=21 a3=0 items=0 ppid=2553
pid=3468 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) ses=4294967295 comm="pppd" exe="/usr/sbin/pppd"
subj=system_u:system_r:pppd_t:s0 key=(null) 


I guess pppd should be allowed to write to and connect to
system_u:object_r:system_dbusd_var_run_t objects.


Version-Release number of selected component (if applicable):
3.3.1-10

How reproducible:
always

Steps to Reproduce:
1.insert CDMA card
2.start using it with NM
3.
  
Actual results:
above audit messages

Expected results:
no audit messages

Additional info:
Comment 1 Daniel Walsh 2008-03-06 11:41:25 EST
Fixed in selinux-policy-3.3.1-12.fc9

Note You need to log in before you can comment on or make changes to this bug.